pydo.vpc_subnet_routes.create()
Generated on 1 Oct 2026
from pydo version
v0.43.0
Usage
client.vpc_subnet_routes.create(
vpc_uuid="997615ce-132d-4bae-9270-9ee21b395e5d",
subnet_uuid="4de7ac8b-495b-4884-9a69-1050c6793cd6",
body={
"destination_cidr": "0.0.0.0/0",
"target_urns": [...],
},
)Description
To add a static route to a VPC subnet, send a POST request to
/v2/vpcs/{vpc_uuid}/subnets/{subnet_uuid}/routes. This route is additional
to the routes the VPC already propagates to the subnet. The server assigns
the route’s id and type.
Droplet targets must use a numeric ID. A Droplet UUID or another invalid
target_urns value returns a 422 response.
Parameters
vpc_uuidstring requiredThe unique identifier of the VPC.
subnet_uuidstring requiredThe unique identifier of the VPC subnet.
destination_cidrstring requiredExample:
0.0.0.0/0A valid IPv4 CIDR accepted by the VPC routing product.
target_urnsarray of strings requiredExample:
['do:droplet:4126873']The URNs of supported next-hop resources. Droplet targets must use a
numeric ID in the formatdo:droplet:<id>. VPC NAT Gateway targets use
a UUID in the formatdo:nat_gateway:<uuid>.
Request Sample
Response Example
More Information
See /v2/vpcs/{vpc_uuid}/subnets/{subnet_uuid}/routes in the API reference for additional detail on responses, headers, parameters, and more.